Skip to main content
POST
Quarantine up to 100 tests

Authorizations

Authorization
string
header
required

User PAT (td_pat_) scoped to the target project

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

Body

application/json
testIds
string[]
required
Required array length: 1 - 100 elements
Maximum string length: 128
note
string
required
Required string length: 1 - 1000
expiresAt
string<date-time>

Default: the project's default duration.

assignee
string

me, a user id, or a teammate's email. Default: you.

Maximum string length: 254

Response

Quarantined and skipped tests

success
enum<boolean>
Available options:
true
data
object
budget
object

The project's quarantine limit.

Last modified on November 4, 2026